All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.util
Class BoundConnection

    com.sas.servlet.util.BoundConnection

All Implemented Interfaces:
  java.util.EventListener, javax.servlet.http.HttpSessionBindingListener

    public class BoundConnection

implements javax.servlet.http.HttpSessionBindingListener

Holder for Connection objects that are bound into the HTTP session. When the bound object is unbound the connection will be stopped. Use the `Util` class to find an existing `Connection` that is bound to the HTTP session, or to create a new `Connection`

See Also:
  `Util`, `BoundRocf`

Constructor Summary
`BoundConnection(com.sas.rmi.Connection connection)` Create a new BoundConnection object

Method Summary
`com.sas.rmi.Connection` | `getConnection()` Gets the current connection
`void` | `valueBound(javax.servlet.http.HttpSessionBindingEvent event)` Called when this object is bound into a session.
`void` | `valueUnbound(javax.servlet.http.HttpSessionBindingEvent event)` Called when this object is unbound from a session.

Constructor Detail

### BoundConnection

    public BoundConnection(com.sas.rmi.Connection connection)

  Create a new BoundConnection object

  Parameters:
    `connection` - The connection

Method Detail

### valueBound

    public void valueBound(javax.servlet.http.HttpSessionBindingEvent event)

  Called when this object is bound into a session.

  Specified by:
    `valueBound` in interface `javax.servlet.http.HttpSessionBindingListener`
  Parameters:
    `event` - The event

### valueUnbound

    public void valueUnbound(javax.servlet.http.HttpSessionBindingEvent event)

  Called when this object is unbound from a session. The connection will be properly closed.

  Specified by:
    `valueUnbound` in interface `javax.servlet.http.HttpSessionBindingListener`
  Parameters:
    `event` - The event

### getConnection

    public com.sas.rmi.Connection getConnection()

  Gets the current connection

  Returns:
    The connection object

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.